%define	module	Net-DBus-GLib
%define	name	perl-%{module}
%define	version	0.33.0
%define	release	%mkrel	1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl extension for the DBus GLib bindings
License:        GPLv2+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{module}/
Source0:        http://www.cpan.org/authors/id/D/DA/DANBERR/%{module}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:	perl-devel
BuildRequires:  perl-ExtUtils-MakeMaker-Coverage
BuildRequires:  perl-Glib
BuildRequires:  perl-Net-DBus >= 0.33.0
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-Pod
BuildRequires:  perl-Test-Pod-Coverage
BuildRequires:  dbus-glib-devel

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop, simply
get a connection to the bus via the methods in Net::DBus::GLib rather than
the usual Net::DBus module. That's it - every other API remains the same.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.33.0-1pclos2010
- import into pclos

